Bug 6519

Summary: Analytic links should use ti,phr
Product: Koha Reporter: Jared Camins-Esakov <jcamins>
Component: OPACAssignee: Chris Cormack <chris>
Status: CLOSED FIXED QA Contact: Bugs List <koha-bugs>
Severity: enhancement    
Priority: PATCH-Sent (DO NOT USE) CC: chris, christophe.croullebois, katrin.fischer, koha.sekjal
Version: 3.6   
Hardware: All   
OS: All   
Change sponsored?: Sponsored Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Attachments: Bug 6519 : Changing analytic searches from Title: to ti,phr
[SIGNED-OFF] Bug 6519 : Changing analytic searches from Title: to ti,phr

Description Jared Camins-Esakov 2011-06-20 12:00:44 UTC
Analytic links in the OPAC and Staff client should use ti,phr: for title-based searching rather than Title:, in order to reduce the number of false positives.
Comment 1 Katrin Fischer 2011-06-22 06:55:42 UTC
Hi Jared, 

I see no problem with that as long as the correct results still show up. :) 
You know more about the indexes and how they work than I do, so it should have probably been ti,phr from the beginning and perhaps for some of the $w links this should be used too.

Katrin
Comment 2 Chris Cormack 2011-08-28 23:29:41 UTC
Working on this
Comment 3 Chris Cormack 2011-08-28 23:55:13 UTC Comment hidden (obsolete)
Comment 4 Christophe Croullebois 2011-09-02 09:46:23 UTC
GBSD#4 take this one
Comment 5 Christophe Croullebois 2011-09-02 10:35:05 UTC
not enough time, I leave
Comment 6 Katrin Fischer 2011-09-21 05:17:48 UTC
Created attachment 5489 [details] [review]
[SIGNED-OFF] Bug 6519 : Changing analytic searches from Title: to ti,phr

To test, you should get similar but better results when clicking a
volume or set title from a record that is part of a set, (or a single
volume)

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Note: if you are using $w for record linking you have to turn system
preference UseControlnumber off to test this patch.
Comment 7 Ian Walls 2011-10-13 15:45:17 UTC
Template only change without any new strings.  Marking as Passed QA.
Comment 8 Chris Cormack 2011-10-13 21:19:52 UTC
Pushed to master, please test